Loading...
Searching...
No Matches
UDP only
APIs » Sequential-style APIs » Netconn API

## Functions

err_t | netconn_disconnect (struct netconn *conn)
err_t | netconn_sendto (struct netconn *conn, struct netbuf *buf, const ip_addr_t *addr, u16_t port)
err_t | netconn_send (struct netconn *conn, struct netbuf *buf)

## Detailed Description

UDP only functions

## Function Documentation

## netconn_disconnect()

err_t netconn_disconnect | ( | struct netconn * | conn | ) |

Disconnect a netconn from its current peer (only valid for UDP netconns).

Parameters

  conn | the netconn to disconnect

Returns
  See err_t

## netconn_send()

err_t netconn_send | ( | struct netconn * | conn,
|  | struct netbuf * | buf )

Send data over a UDP or RAW netconn (that is already connected).

Parameters

  conn | the UDP or RAW netconn over which to send data
  buf | a netbuf containing the data to send

Returns
  ERR_OK if data was sent, any other err_t on error

## netconn_sendto()

err_t netconn_sendto | ( | struct netconn * | conn,
|  | struct netbuf * | buf,
|  | const ip_addr_t * | addr,
|  | u16_t | port )

Send data (in form of a netbuf) to a specific remote IP address and port. Only to be used for UDP and RAW netconns (not TCP).

Parameters

  conn | the netconn over which to send data
  buf | a netbuf containing the data to send
  addr | the remote IP address to which to send the data
  port | the remote port to which to send the data

Returns
  ERR_OK if data was sent, any other err_t on error